> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Create an accounting deposit batch

POST https://ssuccessv2.com/app/api/v2/payment/deposit-batches
Content-Type: application/json

Creates a deposit batch for the active school and may attach payment identifiers during creation.

Reference: https://docs.schoolset.io/api-reference/school-set-api/deposit-batches/create-deposit-batch

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `account_id` (integer, optional, nullable)
- `name` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `batch_date` (date, optional, nullable)
- `note` (string, optional, nullable)
- `status` (enum, optional)
  - Allowed values: `open`, `deposited`
- `payment_ids` (list of integer, optional)

## Response

### 200

Deposit batch created successfully.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV2PaymentDepositBatchesPostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication is required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

Editing accounting data is not permitted.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

The deposit batch fields failed validation.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV2PaymentDepositBatchesPostResponsesContentApplicationJsonSchemaData

- `id` (integer, optional)
- `source` (string, optional)
- `status` (string, optional)
- `account_id` (integer, optional, nullable)
- `account_name` (string, optional, nullable)
- `name` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `batch_date` (date, optional, nullable)
- `is_locked` (boolean, optional)
- `totals` (ApiV2PaymentDepositBatchesPostResponsesContentApplicationJsonSchemaDataTotals, optional)
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)

### ApiV2PaymentDepositBatchesPostResponsesContentApplicationJsonSchemaDataTotals

- `amount` (double, optional)
- `count` (integer, optional)

## Examples

**Request**

```json
{
  "account_id": 22,
  "name": "August tuition",
  "reference": "AUG-2026",
  "note": "Manual deposit",
  "status": "open",
  "payment_ids": [
    5821,
    5822
  ]
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {
    "id": 44,
    "source": "manual",
    "status": "open",
    "account_id": 22,
    "account_name": "Operating account",
    "name": "August tuition",
    "reference": "AUG-2026",
    "batch_date": {},
    "is_locked": false,
    "totals": {
      "amount": 1250.5,
      "count": 2
    },
    "created_at": {},
    "updated_at": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v2/payment/deposit-batches"

payload = {
    "account_id": 22,
    "name": "August tuition",
    "reference": "AUG-2026",
    "note": "Manual deposit",
    "status": "open",
    "payment_ids": [5821, 5822]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v2/payment/deposit-batches';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"account_id":22,"name":"August tuition","reference":"AUG-2026","note":"Manual deposit","status":"open","payment_ids":[5821,5822]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v2/payment/deposit-batches"

	payload := strings.NewReader("{\n  \"account_id\": 22,\n  \"name\": \"August tuition\",\n  \"reference\": \"AUG-2026\",\n  \"note\": \"Manual deposit\",\n  \"status\": \"open\",\n  \"payment_ids\": [\n    5821,\n    5822\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v2/payment/deposit-batches")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"account_id\": 22,\n  \"name\": \"August tuition\",\n  \"reference\": \"AUG-2026\",\n  \"note\": \"Manual deposit\",\n  \"status\": \"open\",\n  \"payment_ids\": [\n    5821,\n    5822\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v2/payment/deposit-batches")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"account_id\": 22,\n  \"name\": \"August tuition\",\n  \"reference\": \"AUG-2026\",\n  \"note\": \"Manual deposit\",\n  \"status\": \"open\",\n  \"payment_ids\": [\n    5821,\n    5822\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v2/payment/deposit-batches', [
  'body' => '{
  "account_id": 22,
  "name": "August tuition",
  "reference": "AUG-2026",
  "note": "Manual deposit",
  "status": "open",
  "payment_ids": [
    5821,
    5822
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v2/payment/deposit-batches");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"account_id\": 22,\n  \"name\": \"August tuition\",\n  \"reference\": \"AUG-2026\",\n  \"note\": \"Manual deposit\",\n  \"status\": \"open\",\n  \"payment_ids\": [\n    5821,\n    5822\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "account_id": 22,
  "name": "August tuition",
  "reference": "AUG-2026",
  "note": "Manual deposit",
  "status": "open",
  "payment_ids": [5821, 5822]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v2/payment/deposit-batches")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```